version: "2"

services:

  mongo:
    image: mongo
    restart: always
    ports:
      - 27017:27017

  mongo-express:
    image: mongo-express
    restart: always
    ports:
      - 8081:8081


  redis:
    image: redis
    ports:
      - 6379:6379
    restart: on-failure

  web:
    build: .
    container_name: aiohttp_web
    command: bash -c "adev runserver chat"
    environment:
      - SERVER_PORT=${SERVER_PORT}
      - REDIS_HOST=redis
      - REDIS_PORT=6379
      - MONGODB_HOST=mongo
      - MONGODB_PORT=27017
    ports:
      - ${SERVER_PORT}:${SERVER_PORT}
    restart: on-failure
    depends_on:
      - mongo
      - redis
